#
# Conditional build:
%bcond_without	tests	# do not perform "setup.py test"
#
%define		pypi_name	pytools
Summary:	A small collection of tools for Python 2
Summary(pl.UTF-8):	Mały zestaw narzędzi dla Pythona 2
Name:		python3-pytools
Version:	2025.1.2
Release:	2
License:	MIT
Group:		Development/Languages/Python
#Source0Download: https://pypi.python.org/simple/pytools/
Source0:	https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# Source0-md5:	8b55ccb53ebd25b08b631e476ab2bb25
URL:		http://mathema.tician.de/software/pytools
BuildRequires:	python3-devel >= 1:3.3
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-appdirs >= 1.4.0
BuildRequires:	python3-decorator >= 3.2.0
BuildRequires:	python3-numpy >= 1.6.0
BuildRequires:	python3-pytest
BuildRequires:	python3-six >= 1.8.0
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python3-appdirs >= 1.4.0
Requires:	python3-decorator >= 3.2.0
Requires:	python3-six
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Pytools is a big bag of things that are "missing" from the Python
standard library. This is mainly a dependency of Andreas Kloeckner's
other software packages, and is probably of little interest to you
unless you use those.

%description -l pl.UTF-8
Pytools to pojemnik na elementy "brakującyce" w standardowej
bibliotece Pythona. Jest to głównie zależność innych pakietów
oprogramowania Andreasa Kloecknera, w pozostałych przypadkach pewnie
mało interesująca.

%prep
%setup -q -n pytools-%{version}

%build
%py3_build_pyproject

%if %{with tests}
%{__python3} -m zipfile -e build-3/*.whl build-3-test
# use explicit plugins list for reliable builds (delete PYTEST_PLUGINS if empty)
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS= \
%{__python3} -m pytest -o pythonpath="$PWD/build-3-test" pytools
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.rst
%{py3_sitescriptdir}/pytools
%{py3_sitescriptdir}/pytools-%{version}.dist-info
%changelog
* Sun May 04 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-pytools.git;a=log;h=master

* Sun May 04 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 951e0c6
- Rel 2; fix R

* Sun May 04 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 5315369
- Up to 2025.1.2

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 1d2cc5e
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> dfed59d
- python 3.13 rebuild

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 5f91a8b
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> d0e2e5d
- rebuild with python 3.10

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 446add3
- release 3 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> b586efd
- rebuild with python 3.8
- release 2 (by relup.sh)

* Fri Sep 14 2018 Elan Ruusamäe <glen@pld-linux.org> 50381db
- use reusable source url

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 3fc602b
- up to 2018.5.2

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 741155d
- release 3 (by relup.sh)

* Sat Mar 18 2017 Jakub Bogusz <qboosh@pld-linux.org> 4e0889b
- adjusted py.test invocation to work with py.test 2.x/3.0.x

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> cf5b384
- python 3.6
- release 2 (by relup.sh)

* Fri May 20 2016 Jakub Bogusz <qboosh@pld-linux.org> d94dcc9
- updated to 2016.2.1

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> e2e2da0
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 380d079
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> b3a47f8
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> c040a02
- python3.5 rebuild
- release 3 (by relup.sh)

* Fri Mar 06 2015 Jakub Bogusz <qboosh@pld-linux.org> deee0db
- release 2

* Fri Mar 06 2015 Jakub Bogusz <qboosh@pld-linux.org> 5076000
- BR: python*-appdirs to avoid network usage

